<template>
  <div>
  <div class="container">
    <h2>ระบบบันทึกข้อมูล</h2>
    <form action="/users">
      <div class="form-group">
        <label for="">ชื่อ: </label>
        <input type="text" class="form-control" v-model="name">
      </div>
      <div class="form-group">
        <label for="">เมือง: </label>
        <input type="text" class="form-control" v-model="city">
      </div>
      <div class="form-group">
        <button class="btn btn-primary" v-on:click="addNewUser()">เพิ่มข้อมูล</button>
      </div>
    </form>
  </div>
  </div>
</template>

<script>
export default {
  data(){
    return{
      name:'',
      city:''
    }
  },
  methods:{
    addNewUser(){
      axios.post('/api/users',{
        name:this.name,
        city:this.city
      });
      //console.log(this.name);
    }
  }
}
</script>
